From ba226d945dd784aa21c70584c464a11e890d2b90 Mon Sep 17 00:00:00 2001
From: guowenxue <guowenxue@gmail.com>
Date: Tue, 29 Oct 2024 10:11:59 +0800
Subject: [PATCH] Add evtest build shell script

---
 openlibs/libxml2/build.sh |  166 +++++++++++++++++++++++++++---------------------------
 1 files changed, 83 insertions(+), 83 deletions(-)

diff --git a/openlibs/libxml2/build.sh b/openlibs/libxml2/build.sh
index 3abf05a..1501746 100755
--- a/openlibs/libxml2/build.sh
+++ b/openlibs/libxml2/build.sh
@@ -2,7 +2,7 @@
 
 # library name and version
 # Official: https://download.gnome.org/sources/libxml2/
-LIB_NAME=libxml2-2.13.3
+LIB_NAME=libxml2-2.11.5
 PACK_SUFIX=tar.xz
 
 # LingYun source code FTP server
@@ -40,140 +40,140 @@
 #+-------------------------+
 
 function pr_error() {
-	echo -e "\033[40;31m $1 \033[0m"
+    echo -e "\033[40;31m $1 \033[0m"
 }
 
 function pr_warn() {
-	echo -e "\033[40;33m $1 \033[0m"
+    echo -e "\033[40;33m $1 \033[0m"
 }
 
 function pr_info() {
-	echo -e "\033[40;32m $1 \033[0m"
+    echo -e "\033[40;32m $1 \033[0m"
 }
 
 function check_result()
 {
-	if [ $? != 0 ] ; then
-		pr_error $1
-	fi
+    if [ $? != 0 ] ; then
+        pr_error "$1"
+    fi
 }
 # decompress a packet to destination path
 function do_unpack()
 {
-	tarball=$1
-	dstpath=`pwd`
+    tarball=$1
+    dstpath=`pwd`
 
-	if [[ $# == 2 ]] ; then
-		dstpath=$2
-	fi
+    if [[ $# == 2 ]] ; then
+        dstpath=$2
+    fi
 
-	pr_info "decompress $tarball => $dstpath"
+    pr_info "decompress $tarball => $dstpath"
 
-	mkdir -p $dstpath
-	case $tarball in
-		*.tar.gz)
-			tar -xzf $tarball -C $dstpath
-			;;
+    mkdir -p $dstpath
+    case $tarball in
+        *.tar.gz)
+            tar -xzf $tarball -C $dstpath
+            ;;
 
-		*.tar.bz2)
-			tar -xjf $tarball -C $dstpath
-			;;
+        *.tar.bz2)
+            tar -xjf $tarball -C $dstpath
+            ;;
 
-		*.tar.xz)
-			tar -xJf $tarball -C $dstpath
-			;;
+        *.tar.xz)
+            tar -xJf $tarball -C $dstpath
+            ;;
 
-		*.tar.zst)
-			tar -I zstd -xf $tarball -C $dstpath
-			;;
+        *.tar.zst)
+            tar -I zstd -xf $tarball -C $dstpath
+            ;;
 
-		*.tar)
-			tar -xf $tarball -C $dstpath
-			;;
+        *.tar)
+            tar -xf $tarball -C $dstpath
+            ;;
 
-		*.zip)
-			unzip -qo $tarball -d $dstpath
-			;;
+        *.zip)
+            unzip -qo $tarball -d $dstpath
+            ;;
 
-		*)
-			pr_error "decompress Unsupport packet: $tarball"
-			return 1;
-			;;
-	esac
+        *)
+            pr_error "decompress Unsupport packet: $tarball"
+            return 1;
+            ;;
+    esac
 }
 
 function do_export()
 {
-	BUILD_ARCH=$(uname -m)
-	if [[ $BUILD_ARCH =~ "arm" ]] ; then
-		pr_warn "local($BUILD_ARCH) compile $LIB_NAME"
-		return ;
-	fi
+    BUILD_ARCH=$(uname -m)
+    if [[ $BUILD_ARCH =~ "arm" ]] ; then
+        pr_warn "local($BUILD_ARCH) compile $LIB_NAME"
+        return ;
+    fi
 
-	pr_warn "cross(${CROSS_COMPILE}) compile $LIB_NAME"
+    pr_warn "cross(${CROSS_COMPILE}) compile $LIB_NAME"
 
-	# export cross toolchain
-	export CC=${CROSS_COMPILE}gcc
-	export CXX=${CROSS_COMPILE}g++
-	export AS=${CROSS_COMPILE}as
-	export AR=${CROSS_COMPILE}ar
-	export LD=${CROSS_COMPILE}ld
-	export NM=${CROSS_COMPILE}nm
-	export RANLIB=${CROSS_COMPILE}ranlib
-	export OBJDUMP=${CROSS_COMPILE}objdump
-	export STRIP=${CROSS_COMPILE}strip
+    # export cross toolchain
+    export CC=${CROSS_COMPILE}gcc
+    export CXX=${CROSS_COMPILE}g++
+    export AS=${CROSS_COMPILE}as
+    export AR=${CROSS_COMPILE}ar
+    export LD=${CROSS_COMPILE}ld
+    export NM=${CROSS_COMPILE}nm
+    export RANLIB=${CROSS_COMPILE}ranlib
+    export OBJDUMP=${CROSS_COMPILE}objdump
+    export STRIP=${CROSS_COMPILE}strip
 
-	# export cross configure
-	export CONFIG_CROSS=" --build=i686-pc-linux --host=arm-linux "
+    # export cross configure
+    export CONFIG_CROSS=" --build=i686-pc-linux --host=arm-linux "
 
-	# Clear LDFLAGS and CFLAGS
-	export LDFLAGS=
-	export CFLAGS=
+    # Clear LDFLAGS and CFLAGS
+    export LDFLAGS=
+    export CFLAGS=
 }
 
 function do_fetch()
 {
-	if [ -e ${INST_FILE} ] ; then
-		pr_warn "$LIB_NAME compile and installed alredy"
-		exit ;
-	fi
+    if [ -e ${INST_FILE} ] ; then
+        pr_warn "$LIB_NAME compile and installed alredy"
+        exit ;
+    fi
 
-	if [ -d $LIB_NAME ] ; then
-		pr_warn "$LIB_NAME fetch already"
-		return ;
-	fi
+    if [ -d $LIB_NAME ] ; then
+        pr_warn "$LIB_NAME fetch already"
+        return ;
+    fi
 
-	if [ ! -f ${LIB_NAME}.${PACK_SUFIX} ] ; then
-		wget ${LIB_URL}/${LIB_NAME}.${PACK_SUFIX}
-		check_result "ERROR: download ${LIB_NAME} failure"
-	fi
+    if [ ! -f ${LIB_NAME}.${PACK_SUFIX} ] ; then
+        wget ${LIB_URL}/${LIB_NAME}.${PACK_SUFIX}
+        check_result "ERROR: download ${LIB_NAME} failure"
+    fi
 
-	do_unpack ${LIB_NAME}.${PACK_SUFIX}
+    do_unpack ${LIB_NAME}.${PACK_SUFIX}
 }
 
 function do_build()
 {
-	cd $LIB_NAME
+    cd $LIB_NAME
 
-	do_export
+    do_export
 
-	./configure --prefix=${PREFIX_PATH} ${CONFIG_CROSS} --enable-static \
-		--without-python --without-zlib --without-lzma
-	check_result "ERROR: configure ${LIB_NAME} failure"
+    ./configure --prefix=${PREFIX_PATH} ${CONFIG_CROSS} --enable-static \
+        --without-python --without-zlib --without-lzma
+    check_result "ERROR: configure ${LIB_NAME} failure"
 
-	make && make install
-	check_result "ERROR: compile ${LIB_NAME} failure"
+    make && make install
+    check_result "ERROR: compile ${LIB_NAME} failure"
 }
 
 function do_clean()
 {
-	rm -rf *${LIB_NAME}*
+    rm -rf *${LIB_NAME}*
 }
 
 if [[ $# == 1 && $1 == -c ]] ;then
-	pr_warn "start clean ${LIB_NAME}"
-	do_clean
-	exit;
+    pr_warn "start clean ${LIB_NAME}"
+    do_clean
+    exit;
 fi
 
 do_fetch

--
Gitblit v1.9.1